import 'package:rdflib/rdflib.dart';

main() async {
  Graph g = Graph();

  Namespace subject_ns = Namespace(ns: 'https://solid.silo.net.au/');
  Namespace predicate_ns = Namespace(ns: 'http://silo.net.au/predicates/analytic#');

  URIRef samplePerson = subject_ns.withAttr('charlie_bruegel');
  g.addNamedIndividual(samplePerson);
  g.add(Triple(sub: samplePerson, pre: FOAF.name, obj: 'Charlie Bruegel'));

  Map sampleData = {
    'bmiM': '0,3,2,6',
    'bmiF': '1,10,2,6',
    'bloodPressureM': '11,0,0,0',
    'bloodPressureF': '19,0,0,0',
    'cholesterolLevelM': '8,1,2',
    'cholesterolLevelF': '11,5,3',
    'smoking0': '26,',
    'smoking1': '4,',
    'bloodGlucoseReal': '8.1,8.0,7.9,7.7,7.6,7.8,7.3,7.1,6.9,6.7,6.3,6.6,6.4',
    'BMIList': '33,30,27,25,24',
  };

  sampleData.forEach((key, value) {
    g.add(Triple(sub: samplePerson, pre: predicate_ns.withAttr(key), obj: value));
  });

  print(g.triples);

  g.serialize(format: 'ttl', dest: 'example/analytics-pub2.ttl');
}